# Uses of Class
org.apache.commons.math3.geometry.spherical.twod.S2Point

Packages that use S2Point
Package
Description
org.apache.commons.math3.geometry.spherical.twod
This package provides basic geometry components on the 2-sphere.

## Uses of S2Point in org.apache.commons.math3.geometry.spherical.twod

Fields in org.apache.commons.math3.geometry.spherical.twod declared as S2Point
Modifier and Type
Field
Description
`static final S2Point`
S2Point.`MINUS_I`
-I (coordinates: \( \theta = \pi, \varphi = \pi/2 \)).
`static final S2Point`
S2Point.`MINUS_J`
-J (coordinates: \( \theta = 3\pi/2, \varphi = \pi/2 \)).
`static final S2Point`
S2Point.`MINUS_K`
-K (coordinates: \( \theta = any angle, \varphi = \pi \)).
`static final S2Point`
S2Point.`NaN`
A vector with all coordinates set to NaN.
`static final S2Point`
S2Point.`PLUS_I`
+I (coordinates: \( \theta = 0, \varphi = \pi/2 \)).
`static final S2Point`
S2Point.`PLUS_J`
+J (coordinates: \( \theta = \pi/2, \varphi = \pi/2 \))).
`static final S2Point`
S2Point.`PLUS_K`
+K (coordinates: \( \theta = any angle, \varphi = 0 \)).
Methods in org.apache.commons.math3.geometry.spherical.twod that return S2Point
Modifier and Type
Method
Description
`S2Point`
Vertex.`getLocation()`
Get Vertex location.
`S2Point`
S2Point.`negate()`
Get the opposite of the instance.
`S2Point`
Circle.`toSpace(Point<Sphere1D> point)`
Transform a sub-space point into a space point.
Methods in org.apache.commons.math3.geometry.spherical.twod that return types with arguments of type S2Point
Modifier and Type
Method
Description
`EnclosingBall<Sphere2D,S2Point>`
SphericalPolygonsSet.`getEnclosingCap()`
Get a spherical cap enclosing the polygon.
Methods in org.apache.commons.math3.geometry.spherical.twod with parameters of type S2Point
Modifier and Type
Method
Description
`static double`
S2Point.`distance(S2Point p1, S2Point p2)`
Compute the distance (angular separation) between two points.
Constructors in org.apache.commons.math3.geometry.spherical.twod with parameters of type S2Point
Modifier
Constructor
Description
``
`Circle(S2Point first, S2Point second, double tolerance)`
Build a great circle from two non-aligned points.
``
`SphericalPolygonsSet(double hyperplaneThickness, S2Point... vertices)`
Build a polygon from a simple list of vertices.